#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE7,0x02,0x59,0xC5,0x40,0x25,0x4C,0x18,0x81,0xCE,0x0E,0x82,
		0xC9,0x63,0x63,0x32,0x00,0x7E,0x2C,0x55,0xA0,0x2B,0x8D,0x84,
		0x4F,0x13,0xBE,0xF2,0xEA,0x6F,0x10,0xB5,0xBA,0x48,0xDB,0xE5,
		0xBC,0x97,0x64,0x1B,0x83,0x39,0xE8,0x23,0xD4,0x6F,0x89,0x1C,
		0xE8,0xEE,0x68,0x60,0xA8,0xCF,0xC0,0xF5,0x10,0xBA,0x41,0x7A,
		0xB5,0xAB,0x21,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
